Bug 1830102 - 4.4 MachineSet with 4.2 or earlier bootimages fails to scale up because old CRI-O chokes on new CRI-O config
Summary: 4.4 MachineSet with 4.2 or earlier bootimages fails to scale up because old C...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.4.0
Assignee: Micah Abbott
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On: 1829642
Blocks: 1838984
TreeView+ depends on / blocked
 
Reported: 2020-04-30 20:35 UTC by Steve Milner
Modified: 2020-05-22 08:57 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1829642
: 1838984 (view as bug list)
Environment:
Last Closed: 2020-05-18 13:35:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1707 0 None closed [release-4.4] Bug 1830102: templates: Add a special machine-config-daemon-firstboot-v42.service 2020-06-02 13:55:17 UTC
Red Hat Product Errata RHBA-2020:2133 0 None None None 2020-05-18 13:35:19 UTC

Comment 1 Steve Milner 2020-04-30 22:00:53 UTC
Backport: https://github.com/openshift/machine-config-operator/pull/1707

Comment 4 Mike Fiedler 2020-05-01 20:11:18 UTC
Verified on 4.4.0-0.nightly-2020-05-01-142756
Scaleup works on cluster upgraded 4.2.29->4.3.18-> this nightly

Comment 9 errata-xmlrpc 2020-05-18 13:35:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2133


Note You need to log in before you can comment on or make changes to this bug.